/[clonezilla-sysresccd]/trunk/create-clonezilla-sysresccd/create-clonezilla-sysresccd.sh
ViewVC logotype

Diff of /trunk/create-clonezilla-sysresccd/create-clonezilla-sysresccd.sh

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 163 by sng, Thu Mar 31 12:58:38 2011 UTC revision 174 by sng, Sun May 29 14:32:14 2011 UTC
# Line 1  Line 1 
1  ##############################################################################  ##############################################################################
2  #                                                                            #  #                                                                            #
3  # create-clonezilla-sysresccd, (C) 2007-2010 S. Georgaras <sng@hellug.gr>    #  # create-clonezilla-sysresccd, (C) 2007-2011 S. Georgaras <sng@hellug.gr>    #
4  #                                                                            #  #                                                                            #
5  # This file is part of Clonezilla-SysRescCD.                                 #  # This file is part of Clonezilla-SysRescCD.                                 #
6  #                                                                            #  #                                                                            #
# Line 87  if [ -e systemrescuecd-x86-"$sysVersion" Line 87  if [ -e systemrescuecd-x86-"$sysVersion"
87        echo "You can continue downloading the file or restart it"        echo "You can continue downloading the file or restart it"
88        echo -n "Continue downloading? (y/[n]): "        echo -n "Continue downloading? (y/[n]): "
89        read ans        read ans
90        if [ "$ans" = "y" ];then        if [ "$ans" = "y" ] || [ "$ans" = "Y" ];then
91          curlContinue=1          curlContinue=1
92        else        else
93          rm -f test.md5sum 2>/dev/null          rm -f test.md5sum 2>/dev/null
# Line 101  if [ -e systemrescuecd-x86-"$sysVersion" Line 101  if [ -e systemrescuecd-x86-"$sysVersion"
101      echo "download is complete"      echo "download is complete"
102      echo -n "Continue downloading? (y/[n]): "      echo -n "Continue downloading? (y/[n]): "
103      read ans      read ans
104      if [ "$ans" = "y" ];then      if [ "$ans" = "y" ] || [ "$ans" = "Y" ];then
105        curlContinue=1        curlContinue=1
106      fi      fi
107    fi    fi
# Line 112  else Line 112  else
112    curl -L -C - "$sysIso" -o systemrescuecd-x86-"$sysVersion".iso    curl -L -C - "$sysIso" -o systemrescuecd-x86-"$sysVersion".iso
113  fi  fi
114  # Check integrity  # Check integrity
115  echo "$sysmd5  systemrescuecd-x86-"$sysVersion".iso" > test.md5sum  if [ -n "$md5sumFound" ];then
116  echo -n "Checking integrity of "    echo "$sysmd5  systemrescuecd-x86-"$sysVersion".iso" > test.md5sum
117  md5sum -c test.md5sum 2>/dev/null    echo -n "Checking integrity of "
118  if [ "$?" -eq 1 ];then    md5sum -c test.md5sum 2>/dev/null
119    echo "Integrity check on systemrescuecd-x86-"$sysVersion".iso failed!!!"    if [ "$?" -eq 1 ];then
120    echo -n "Do you want to delete this file? ([y]/n): "      echo "Integrity check on systemrescuecd-x86-"$sysVersion".iso failed!!!"
121    read ans      echo -n "Do you want to delete this file? ([y]/n): "
122    if [ "$ans" != "y" ];then      read ans
123      rm -f systemrescuecd-x86-"$sysVersion".iso 2>/dev/null && echo "File deleted..." || echo "******  Error deleting file!!!  ******      if [ "$ans" = "y" ] || [ "$ans" = "Y" ];then
124  Please delete systemrescuecd-x86-"$sysVersion".iso manually"        rm -f systemrescuecd-x86-"$sysVersion".iso 2>/dev/null && echo "File deleted..." || echo "******  Error deleting file!!!  ******
125      Please delete systemrescuecd-x86-"$sysVersion".iso manually"
126        fi
127    fi    fi
128    rm -f test.md5sum 2>/dev/null    rm -f test.md5sum 2>/dev/null
129  fi  fi
# Line 151  if [ -e clonezilla-live-"$clonVersion"-" Line 153  if [ -e clonezilla-live-"$clonVersion"-"
153        echo "You can continue downloading the file or restart it"        echo "You can continue downloading the file or restart it"
154        echo -n "Continue downloading? (y/[n]): "        echo -n "Continue downloading? (y/[n]): "
155        read ans        read ans
156        if [ "$ans" = "y" ];then        if [ "$ans" = "y" ] || [ "$ans" = "Y" ];then
157          curlContinue=1          curlContinue=1
158        else        else
159          rm -f test.md5sum 2>/dev/null          rm -f test.md5sum 2>/dev/null
# Line 170  if [ -e clonezilla-live-"$clonVersion"-" Line 172  if [ -e clonezilla-live-"$clonVersion"-"
172      echo "download is complete"      echo "download is complete"
173      echo -n "Continue downloading? (y/[n]): "      echo -n "Continue downloading? (y/[n]): "
174      read ans      read ans
175      if [ "$ans" = "y" ];then      if [ "$ans" = "y" ] || [ "$ans" = "Y" ];then
176        curlContinue=1        curlContinue=1
177      fi      fi
178    fi    fi
# Line 210  if [ -n "$md5sumFound" ];then Line 212  if [ -n "$md5sumFound" ];then
212      echo "Integrity check on clonezilla-live-"$clonVersion"-"$clonType".iso failed!!!"      echo "Integrity check on clonezilla-live-"$clonVersion"-"$clonType".iso failed!!!"
213      echo -n "Do you want to delete this file? ([y]/n): "      echo -n "Do you want to delete this file? ([y]/n): "
214      read ans      read ans
215      if [ "$ans" != "y" ];then      if [ "$ans" = "y" ] || [ "$ans" = "Y" ];then
216        rm -f clonezilla-live-"$clonVersion"-"$clonType".iso 2>/dev/null && echo "File deleted..." || echo "******  Error deleting file!!!  ******        rm -f clonezilla-live-"$clonVersion"-"$clonType".iso 2>/dev/null && echo "File deleted..." || echo "******  Error deleting file!!!  ******
217  Please delete clonezilla-live-"$clonVersion"-"$clonType".iso manually"  Please delete clonezilla-live-"$clonVersion"-"$clonType".iso manually"
218      fi      fi
# Line 898  echo -n "Rebuilding Clonezilla squashfs. Line 900  echo -n "Rebuilding Clonezilla squashfs.
900  cd "$SAVE_DIR"/tmp/clonezilla-sysresccd/live  cd "$SAVE_DIR"/tmp/clonezilla-sysresccd/live
901  unsquashfs filesystem.squashfs 2>/dev/null 1>&2  unsquashfs filesystem.squashfs 2>/dev/null 1>&2
902  cp -r ../README* ../doc ../restorecd squashfs-root  cp -r ../README* ../doc ../restorecd squashfs-root
903  mksquashfs -comp xz squashfs-root aa.squashfs -always-use-fragments -no-duplicates -all-root 2>/dev/null 1>&2  mksquashfs squashfs-root aa.squashfs -always-use-fragments -no-duplicates -all-root 2>/dev/null 1>&2
904  mv aa.squashfs filesystem.squashfs  mv aa.squashfs filesystem.squashfs
905  rm -rf squashfs-root  rm -rf squashfs-root
906  cd  cd
# Line 965  while [ 1 ];do Line 967  while [ 1 ];do
967     ans=n     ans=n
968   else   else
969     echo -n "Do you want to burn this ISO file? ([y]/n): "     echo -n "Do you want to burn this ISO file? ([y]/n): "
970      read ans     read ans
971   fi   fi
972  done  done
973  burnISO=0  burnISO=0

Legend:
Removed from v.163  
changed lines
  Added in v.174

webmaster@linux.gr
ViewVC Help
Powered by ViewVC 1.1.26